#ifndef	__Routines_h
#define	__Routines_h
///////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////
//////////////////////      BALANCING BOT      ////////////////////////
//////////////////////                         ////////////////////////
//////////////////////  Common Routines Header ////////////////////////
///////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////
//
#include "parameters.h"
//

#define RAD_TO_DEG (180 / 3.1415926535897932384626433832795)

float scale_accel(int rawAccel);
float scale_gyro(int rawGyro);

int avg(int array[], int n);

float favg(unsigned int array[], int n);
float fmax(float a, float b);
float fmin(float a, float b);
float flim(float x, float lo, float hi);


///////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////

void Init_Queues_Semaphores(void);

///////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////
#endif
